Bug 86054 - metaballs screensaver SEGVs on Hammer
metaballs screensaver SEGVs on Hammer
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: xscreensaver (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-13 04:49 EST by Mike A. Harris
Modified: 2007-04-18 12:51 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-08 13:20:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2003-03-13 04:49:38 EST
[root@claw64 root]# grep 'segfault at' /var/log/messages
Mar 11 06:08:19 claw64 kernel: rd-bomb[2020]: segfault at 0000002a95578000 rip
0000000000402808 rsp 0000007fbfffd570 error 6
Mar 11 06:08:22 claw64 kernel: rd-bomb[2021]: segfault at 0000002a95572000 rip
0000000000402808 rsp 0000007fbfffd440 error 6
Mar 11 07:26:07 claw64 kernel: metaballs[2223]: segfault at 000000020000012e rip
00000000004026bf rsp 0000007fbfffec40 error 6
Mar 11 14:44:49 claw64 kernel: metaballs[3654]: segfault at 000000020000012e rip
00000000004026bf rsp 0000007fbfffe9c0 error 6
Mar 12 12:23:31 claw64 kernel: metaballs[4005]: segfault at 000000020000012e rip
00000000004026bf rsp 0000007fbfffdf40 error 6
Mar 12 14:13:50 claw64 kernel: metaballs[4262]: segfault at 000000020000012e rip
00000000004026bf rsp 0000007fbfffcfc0 error 6
Mar 12 18:54:39 claw64 kernel: rd-bomb[4668]: segfault at 0000002a95572000 rip
0000000000402808 rsp 0000007fbfffdd30 error 6
Mar 12 21:15:04 claw64 kernel: rd-bomb[4886]: segfault at 0000002a95572000 rip
0000000000402808 rsp 0000007fbfffeb30 error 6
Mar 12 22:55:21 claw64 kernel: rd-bomb[5024]: segfault at 0000002a95576000 rip
0000000000402808 rsp 0000007fbfffdfe0 error 6
Mar 13 00:15:35 claw64 kernel: rd-bomb[5156]: segfault at 0000002a95575000 rip
0000000000402808 rsp 0000007fbfffdfe0 error 6
Mar 13 04:08:04 claw64 kernel: rd-bomb[2348]: segfault at 0000002a95578000 rip
0000000000402808 rsp 0000007fbfffde40 error 6
Comment 1 Bill Nottingham 2003-03-20 21:14:48 EST
Please provide backtrace with the debuginfo package installed, if possible.
Comment 2 Chris Ricker 2003-05-14 18:22:32 EDT
FWIW, it also dumps core regularly on RHL 9 on an Athlon

Are there debuginfo packages anywhere so I can backtrace one of my fine
collection of core files? ;-)
Comment 4 Chris Ricker 2003-05-18 20:43:37 EDT
Here's what the backtrace looks like from one of my core files:

#0  0x0804a037 in Initialize (pDisplay=0xffffff80, Win=8388616, pGC=0x0,
    ppImage=0x0) at metaballs.c:296
296                         blob[i + radius][j + radius] = 0;
(gdb) bt
#0  0x0804a037 in Initialize (pDisplay=0xffffff80, Win=8388616, pGC=0x0,
    ppImage=0x0) at metaballs.c:296
#1  0x0804a24a in screenhack (pDisplay=0x4000, Win=8388616) at metaballs.c:332
#2  0x0804b01c in main (argc=1, argv=0xbfffeec4) at screenhack.c:671
#3  0x4d4166a4 in __libc_start_main () from /lib/tls/libc.so.6
(gdb)

This is on an Athlon (AMD Athlon(tm) XP 1700+) with an nvidia GeForce2 MX/MX 400
(using the XFree86 drivers)




Comment 5 Chris Ricker 2003-05-18 20:44:36 EDT
backtraces from the other three metaballs coredumps I've gotten look the same....
Comment 6 Damian Menscher 2003-09-28 19:39:16 EDT
FYI, this occurs on Intel CPUs as well.  (Seen with a P4 Xeon running RH9.  The
box has nVidia graphics, but using the RH driver, not the one from nVidia.) 
Someone should change the Platform from x86_64 to i386.

Other xscreensavers crash on occasion, but this one certainly is the most
frequent (one user has accumulated 40 core files from it in September alone). 
Let me know if there's anything I can test to help get this fixed.
Comment 7 Mike A. Harris 2003-10-01 17:29:55 EDT
Changing Platform to "All" from x86_64 as per last comment.
Comment 8 Harlan Feinstein 2004-02-17 09:01:16 EST
I've got this also on an RH9 i386 platform; if I can help in debugging
please let me know.
Comment 9 David Juran 2004-02-19 15:12:00 EST
I can't reproduce it on FC1 any longer. Maybe it should be marked as
fixed currentrelease.
Comment 10 Mike A. Harris 2004-02-19 18:51:55 EST
I'll attempt to reproduce this sometime, and update the status
with my results.  Reassigning to myself for now until I have a
chance to do that.  I'll probably debug the issue also to try
and pinpoint it more if it's still relevant.

Thanks for the updated information as well however.
Comment 11 Ray Strode [halfline] 2004-11-04 21:33:04 EST
Did you ever get to this Mike?
Comment 12 Mike A. Harris 2004-11-08 13:20:54 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core 3, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.